System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenProvider System.ServiceModel.ICommunicationObject

Care must be taken when caching and reusing security tokens that are returned from the method, because the security token might become unusable when the channel that the token provider is associated with is closed. The security token becomes unusable when the requested key type is asymmetric and the thread is running under impersonated context when the method is called.

Represents a token provider for issued security tokens.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void To be added.

  Aborts the provider.

- Method
  4.0.0.0
  System.IAsyncResult `` `` To be added.

  Asynchronously begins closing the provider.

  An object that represents the result of an asynchronous operation.

  The method to execute when the operation completed. An that represents the state of the operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Asynchronously begins closing the provider.

  An object that represents the result of an asynchronous operation.

  A after which the call times out. The method to execute when the operation completed. An that represents the state of the operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Asynchronously begins getting the token core.

  An object that represents the result of an asynchronous operation.

  A after which the call times out. The method to execute when the operation completed. An that represents the state of the operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` To be added.

  Asynchronously begins opening the provider.

  An object that represents the result of an asynchronous operation.

  The method to execute when the operation completed. An that represents the state of the operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Asynchronously begins opening the provider.

  An object that represents the result of an asynchronous operation.

  A after which the call times out. The method to execute when the operation completed. An that represents the state of the operation.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the issued tokens are cached.

- Method
  4.0.0.0
  System.Void To be added.

  Closes the provider.

- Method
  4.0.0.0
  System.Void `` To be added.

  Closes the provider.

  A after which the call times out.
- Event
  4.0.0.0
  System.EventHandler To be added.

  Provides registration and deregistration of event handler for the Closed event.

- Event
  4.0.0.0
  System.EventHandler To be added.

  Provides registration and deregistration of event handler for the Closing event.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  For internal use only.

  Gets the default time-out for closing the connection.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  For internal use only.

  Gets the default time-out for opening the connection.

- Method
  4.0.0.0
  System.Void To be added.

  Releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Ends the asynchronous call for closing the provider.

  An object that represents the result of an asynchronous operation.
- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken `` To be added.

  Ends the asynchronous call for getting the token core.

  A security token.

  An object that represents the result of an asynchronous operation.
- Method
  4.0.0.0
  System.Void `` To be added.

  Ends the asynchronous call for opening the provider.

  An object that represents the result of an asynchronous operation.
- Event
  4.0.0.0
  System.EventHandler To be added.

  Provides registration and deregistration of event handler for the Faulted event.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken ``

  Care must be taken when caching and reusing security tokens that are returned from the method, because the security token might become unusable when the channel that the token provider is associated with is closed. The security token becomes unusable when the requested key type is asymmetric and the thread is running under impersonated context when the method is called.

  Gets the token core.

  The that represents the token core.

  A after which the call times out.
- Property
  4.0.0.0
  System.ServiceModel.Security.IdentityVerifier To be added. To be added.

  Gets or sets the identity verifier.

- Property
  4.0.0.0
  System.Int32 To be added.

  This percentage controls how often the token provider contacts the SecurityTokenService for a new issued token. For example, if the percentage is 90 percent, then the token provider will contact the SecurityTokenService when 90 percent of the issued token's validity interval is over.

  Gets or sets the issued token renewal threshold percentage.

- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets or sets the issuer address.

- Property
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added. To be added.

  Gets or sets the issuer binding.

- Property
  4.0.0.0
  System.Collections.Generic.KeyedByTypeCollection<System.ServiceModel.Description.IEndpointBehavior> To be added.

  These channel behaviors are added to the channel used by the token provider for the SecurityTokenService. The key for this collection is the URL of the security token service.

  Gets the issuer channel behaviors.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityKeyEntropyMode To be added.

  This property is the key entropy mode used by the token provider when negotiating a symmetric key with the SecurityTokenService to use with the issued token.

  Gets or sets the key entropy mode.

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Gets or sets the maximum time that an issued token will be cached.

- Property
  4.0.0.0
  System.ServiceModel.MessageSecurityVersion To be added.

  The contains numerous properties that specify version numbers of different components of a message.

  Gets or sets the message security version.

- Method
  4.0.0.0
  System.Void To be added.

  Opens the provider.

- Method
  4.0.0.0
  System.Void `` To be added.

  Opens the provider.

  A after which the call times out.
- Event
  4.0.0.0
  System.EventHandler To be added.

  Provides registration and deregistration of event handler for the Opened event.

- Event
  4.0.0.0
  System.EventHandler To be added.

  Provides registration and deregistration of event handler for the Opening event.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecurityAlgorithmSuite To be added.

  The object that is returned contains numerous properties that specify security algorithms to use in specific conditions. It also describes various security capabilities of the service.

  Gets or sets the security algorithm suite.

- Property
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenSerializer To be added. To be added.

  Gets or sets the security token serializer.

- Property
  4.0.0.0
  System.ServiceModel.CommunicationState To be added. To be added.

  Gets the communication state.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether token cancellation is supported.

- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets or sets the target address.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.Xml.XmlElement> To be added.

  This is a collection of XML elements that the token provider includes as part of the RequestSecurityToken it sends to the SecurityTokenService. These parameters can be set explicitly by the client or can be obtained from the relying party's security policy.

  Gets the token request parameters.